docs/166850: [PATCH] Update docs: correct Porter's Handbook USE_PGSQL information

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

docs/166850: [PATCH] Update docs: correct Porter's Handbook USE_PGSQL information

Chris Rees-11

>Number:         166850
>Category:       docs
>Synopsis:       [PATCH] Update docs: correct Porter's Handbook USE_PGSQL information
>Confidential:   no
>Severity:       non-critical
>Priority:       low
>Responsible:    freebsd-doc
>State:          open
>Quarter:        
>Keywords:      
>Date-Required:
>Class:          update
>Submitter-Id:   current-users
>Arrival-Date:   Wed Apr 11 17:00:29 UTC 2012
>Closed-Date:
>Last-Modified:
>Originator:     Chris Rees
>Release:        FreeBSD 9.0-RELEASE amd64
>Organization:
>Environment:
System: FreeBSD pegasus.bayofrum.net 9.0-RELEASE FreeBSD 9.0-RELEASE #0: Sat Jan 28 15:45:27 GMT 2012 [hidden email]:/usr/obj/usr/src/sys/PEGASUS amd64


       
>Description:
        - Update available versions of PostgreSQL and clarify dependencies.

        - While here, correct dependency of MySQL
>How-To-Repeat:
       
>Fix:

       

--- patch.txt begins here ---
Index: book.sgml
===================================================================
RCS file: /home/dcvs/doc/en_US.ISO8859-1/books/porters-handbook/book.sgml,v
retrieving revision 1.1175
diff -u -r1.1175 book.sgml
--- book.sgml 2 Apr 2012 20:31:56 -0000 1.1175
+++ book.sgml 11 Apr 2012 16:45:40 -0000
@@ -8839,7 +8839,7 @@
       <entry><makevar>USE_MYSQL</makevar></entry>
       <entry>If variable is set to <literal>yes</literal>, add
  dependency on <filename
-  role="package">databases/mysql55-server</filename>
+  role="package">databases/mysql55-client</filename>
  port.  An associated variable,
  <makevar>WANT_MYSQL_VER</makevar>, may be set to
  values such as 323, 40, 41, 50, 51, 52, 55, or
@@ -8850,10 +8850,14 @@
       <entry><makevar>USE_PGSQL</makevar></entry>
       <entry>If set to <literal>yes</literal>, add dependency
  on <filename
-  role="package">databases/postgresql84</filename>
+  role="package">databases/postgresql90-client</filename>
  port.  An associated variable,
  <makevar>WANT_PGSQL_VER</makevar>, may be set to
- values such as 73, 74, 80, 81, 82, 83, or 90.</entry>
+ values such as 83, 84, 90, or 91.  You can declare a
+ minimum or maximum value;
+ <makevar>WANT_PGSQL_VER</makevar>=<literal>90+</literal>
+ will cause the port to depend on a minimum version
+ of 9.0.</entry>
     </row>
   </tbody>
  </tgroup>
--- patch.txt ends here ---



--
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.

>Release-Note:
>Audit-Trail:
>Unformatted:
_______________________________________________
[hidden email] mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-database
To unsubscribe, send any mail to "[hidden email]"
Reply | Threaded
Open this post in threaded view
|

Re: docs/166850: [PATCH] Update docs: correct Porter's Handbook USE_PGSQL information

eadler
Synopsis: [PATCH] Update docs: correct Porter's Handbook USE_PGSQL information

Responsible-Changed-From-To: freebsd-doc->eadler
Responsible-Changed-By: eadler
Responsible-Changed-When: Thu Apr 12 22:59:56 UTC 2012
Responsible-Changed-Why:
I'll take it.

http://www.freebsd.org/cgi/query-pr.cgi?pr=166850
_______________________________________________
[hidden email] mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-database
To unsubscribe, send any mail to "[hidden email]"